CRAN Package Check Results for Package gamclass

Last updated on 2014-07-29 08:49:33.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.52 7.05 200.35 207.40 OK
r-devel-linux-x86_64-debian-gcc 0.52 6.90 195.84 202.74 OK
r-devel-linux-x86_64-fedora-clang 0.52 450.30 OK
r-devel-linux-x86_64-fedora-gcc 0.52 433.37 OK
r-devel-osx-x86_64-clang 0.52 344.53 OK
r-devel-windows-ix86+x86_64 0.52 17.00 263.00 280.00 OK
r-patched-linux-x86_64 0.52 6.96 198.17 205.13 OK
r-patched-solaris-sparc 0.52 2504.20 OK
r-patched-solaris-x86 0.52 598.60 OK
r-release-linux-ix86 0.52 9.31 242.17 251.48 OK
r-release-linux-x86_64 0.52 7.03 202.33 209.36 OK
r-release-osx-x86_64-mavericks 0.52 WARN
r-release-osx-x86_64-snowleopard 0.52 ERROR
r-release-windows-ix86+x86_64 0.52 17.00 273.00 290.00 OK
r-oldrel-windows-ix86+x86_64 0.52 16.00 288.00 304.00 OK

Check Details

Version: 0.52
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking: forecast DAAGbio
Flavor: r-release-osx-x86_64-mavericks

Version: 0.52
Check: running R code from vignettes
Result: WARNING
    Errors in running code in vignettes:
    when running code in figs6.Rnw
     ...
    > fig6.14()
    
    > fig6.15()
    Loading required package: forecast
    Warning in library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
     there is no package called forecast
    
     When sourcing figs6.R :
    Error: Package 'forecast' must be installed
    Execution halted
    when running code in figs9.Rnw
     ...
     there is no package called DAAGbio
    
    > if (any(!z)) {
    + notAvail <- paste(names(z)[!z], collapse = ", ")
    + stop(paste("The following packages should be installed:",
    + not .... [TRUNCATED]
    
     When sourcing figs9.R :
    Error: The following packages should be installed: DAAGbio
    Execution halted
Flavor: r-release-osx-x86_64-mavericks

Version: 0.52
Check: re-building of vignette outputs
Result: NOTE
    Error in re-building vignettes:
     ...
    Warning: running command 'kpsewhich framed.sty' had status 1
    Warning in test_latex_pkg("framed", system.file("misc", "framed.sty", package = "knitr")) :
     unable to find LaTeX package 'framed'; will use a copy from knitr
    Quitting from lines 542-543 (figs6.Rnw)
    Error: processing vignette 'figs6.Rnw' failed with diagnostics:
    Package 'forecast' must be installed
    Execution halted
Flavor: r-release-osx-x86_64-mavericks

Version: 0.52
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: DAAGbio
Flavor: r-release-osx-x86_64-snowleopard

Version: 0.52
Check: whether package can be installed
Result: ERROR
    Installation failed.
    See /Volumes/XT3/Builds/R-dev-web/QA/Simon/packages/snowleopard-x86_64/results/3.1/gamclass.Rcheck/00install.out for details.
Flavor: r-release-osx-x86_64-snowleopard